log4cplus::spi::FactoryTempl< LocalProduct, ProductFactoryBase > Class Template Reference

`#include <factory.h>`

Inheritance diagram for log4cplus::spi::FactoryTempl< LocalProduct, ProductFactoryBase >:
[legend]
Collaboration diagram for log4cplus::spi::FactoryTempl< LocalProduct, ProductFactoryBase >:
[legend]

## Public Types

typedef ProductFactoryBase::ProductPtr | ProductPtr

## Public Member Functions

| FactoryTempl (tchar const *n)
virtual ProductPtr | createObject (helpers::Properties const &props)
Public Member Functions inherited from log4cplus::spi::LocalFactoryBase< ProductFactoryBase >
| LocalFactoryBase (tchar const *n)
virtual log4cplus::tstring const & | getTypeName () const

## Detailed Description

template<typename LocalProduct, typename ProductFactoryBase>
class log4cplus::spi::FactoryTempl< LocalProduct, ProductFactoryBase >

Definition at line 232 of file factory.h.

## Member Typedef Documentation

## ProductPtr

template<typename LocalProduct, typename ProductFactoryBase>

typedef ProductFactoryBase::ProductPtr log4cplus::spi::FactoryTempl< LocalProduct, ProductFactoryBase >::ProductPtr

Definition at line 236 of file factory.h.

## Constructor & Destructor Documentation

## FactoryTempl()

template<typename LocalProduct, typename ProductFactoryBase>

log4cplus::spi::FactoryTempl< LocalProduct, ProductFactoryBase >::FactoryTempl | ( | tchar const * | n | ) |

inline

Definition at line 238 of file factory.h.

References log4cplus::spi::LocalFactoryBase< ProductFactoryBase >::LocalFactoryBase().

## Member Function Documentation

## createObject()

template<typename LocalProduct, typename ProductFactoryBase>

virtual ProductPtr log4cplus::spi::FactoryTempl< LocalProduct, ProductFactoryBase >::createObject | ( | helpers::Properties const & | props | ) |

inline virtual

Definition at line 242 of file factory.h.

The documentation for this class was generated from the following file:

- factory.h